<?php

namespace Hospital;

use DB;
use Illuminate\Database\Seeder;

class EconsultationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('econsultations')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'econsultation.econsultation.view',
                'name'      => 'View Econsultation',
            ],
            [
                'slug'      => 'econsultation.econsultation.create',
                'name'      => 'Create Econsultation',
            ],
            [
                'slug'      => 'econsultation.econsultation.edit',
                'name'      => 'Update Econsultation',
            ],
            [
                'slug'      => 'econsultation.econsultation.delete',
                'name'      => 'Delete Econsultation',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/econsultation/econsultation',
                'name'        => 'Econsultation',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/econsultation/econsultation',
                'name'        => 'Econsultation',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'econsultation',
                'name'        => 'Econsultation',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Econsultation',
                'module'    => 'Econsultation',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'econsultation.econsultation.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
