<?php

namespace Hospital\Econsultation\Repositories\Eloquent;

use Hospital\Econsultation\Interfaces\EconsultationRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class EconsultationRepository extends BaseRepository implements EconsultationRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('hospital.econsultation.econsultation.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('hospital.econsultation.econsultation.model.model');
    }
}
