Lavalite package that provides econsultation management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hospital/econsultation`.

    "hospital/econsultation": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hospital\Econsultation\Providers\EconsultationServiceProvider::class,

And also add it to alias

    'Econsultation'  => Hospital\Econsultation\Facades\Econsultation::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hospital\\EconsultationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hospital\Econsultation\Providers\EconsultationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hospital\Econsultation\Providers\EconsultationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hospital\Econsultation\Providers\EconsultationServiceProvider" --tag="view"


## Usage


