<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for econsultation in econsultation package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  econsultation module in econsultation package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Econsultation',
    'names'         => 'Econsultations',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Econsultations',
        'sub'   => 'Econsultations',
        'list'  => 'List of econsultations',
        'edit'  => 'Edit econsultation',
        'create'    => 'Create new econsultation'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'gender'              => ['Male','Female','Transgender'],
            'status'              => ['Pending','Answered'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'patient_name'               => 'Please enter patient name',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'gender'                     => 'Please select gender',
        'address'                    => 'Please enter address',
        'question'                   => 'Please enter question',
        'status'                     => 'Please select status',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'patient_name'               => 'Patient name',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'gender'                     => 'Gender',
        'address'                    => 'Address',
        'question'                   => 'Question',
        'status'                     => 'Status',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'patient_name'               => ['name' => 'Patient name', 'data-column' => 1, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 2, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 3, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 4, 'checked'],
        'created_at'                 => ['name' => 'Created at', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Econsultations',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
