            @include('econsultation::public.econsultation.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('econsultation::public.econsultation.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($econsultation->defaultImage('images' , 'xl'))!!}" alt="{{$econsultation->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('econsultation::econsultation.label.id') !!}
                </label><br />
                    {!! $econsultation['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="patient_name">
                    {!! trans('econsultation::econsultation.label.patient_name') !!}
                </label><br />
                    {!! $econsultation['patient_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="email">
                    {!! trans('econsultation::econsultation.label.email') !!}
                </label><br />
                    {!! $econsultation['email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="phone">
                    {!! trans('econsultation::econsultation.label.phone') !!}
                </label><br />
                    {!! $econsultation['phone'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="gender">
                    {!! trans('econsultation::econsultation.label.gender') !!}
                </label><br />
                    {!! $econsultation['gender'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="address">
                    {!! trans('econsultation::econsultation.label.address') !!}
                </label><br />
                    {!! $econsultation['address'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="question">
                    {!! trans('econsultation::econsultation.label.question') !!}
                </label><br />
                    {!! $econsultation['question'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('econsultation::econsultation.label.status') !!}
                </label><br />
                    {!! $econsultation['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('econsultation::econsultation.label.created_at') !!}
                </label><br />
                    {!! $econsultation['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('econsultation::econsultation.label.updated_at') !!}
                </label><br />
                    {!! $econsultation['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('econsultation::econsultation.label.deleted_at') !!}
                </label><br />
                    {!! $econsultation['deleted_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('patient_name')
                       -> label(trans('econsultation::econsultation.label.patient_name'))
                       -> placeholder(trans('econsultation::econsultation.placeholder.patient_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('email')
                       -> label(trans('econsultation::econsultation.label.email'))
                       -> placeholder(trans('econsultation::econsultation.placeholder.email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('phone')
                       -> label(trans('econsultation::econsultation.label.phone'))
                       -> placeholder(trans('econsultation::econsultation.placeholder.phone'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('gender')
                    -> options(trans('econsultation::econsultation.options.gender'))
                    -> label(trans('econsultation::econsultation.label.gender'))
                    -> placeholder(trans('econsultation::econsultation.placeholder.gender'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('address')
                       -> label(trans('econsultation::econsultation.label.address'))
                       -> placeholder(trans('econsultation::econsultation.placeholder.address'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('question')
                       -> label(trans('econsultation::econsultation.label.question'))
                       -> placeholder(trans('econsultation::econsultation.placeholder.question'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('status')
                    -> options(trans('econsultation::econsultation.options.status'))
                    -> label(trans('econsultation::econsultation.label.status'))
                    -> placeholder(trans('econsultation::econsultation.placeholder.status'))!!}
               </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



